FROM ccr.ccs.tencentyun.com/gm-ai/like-configs:test as configs
FROM ccr.ccs.tencentyun.com/gm-ai/alpha-python:3.6
COPY --from=configs /etc/gm-config /etc/gm-config

RUN mkdir -p /data/log/sun/app
COPY ./requirements.txt /srv/apps/sun/
WORKDIR /srv/apps/sun/
RUN pip3 install -i https://pypi.tuna.tsinghua.edu.cn/simple -r requirements.txt

COPY . .
ENV PROJECT_ENV=test
ENV C_FORCE_ROOT=true
COPY ./deploy/test/settings_local.py ./sun/
CMD bash -c 'source ~/.bashrc && gunicorn sun.wsgi:application -w 4 -b 0.0.0.0:80 -k gevent'
